const app = getApp();
Page({
    data: {
        incomeList: []
    },
    onShow() {
        app.$api.getSettings().then(setting => {
            let incomeList = setting.data.INCOME_SETTING;
            app.$api.getSettingsIncome().then(res => {
                let result = res.data;
                incomeList.forEach(item => {
                    let money = 0
                    if (result[item.id]){
                        money = result[item.id];
                    }
                    if (!money){
                        money = 0
                    }
                    item.money = money;
                })
                console.log(incomeList);
                this.setData({incomeList})
            });
        });
    },
    handleClick() {
        wx.navigateTo({
            url : "../edit/index?isAccount=0&isIncome=1&isAdd=1"
        })
    }
});
